#include "PalmType.h"
#include "p_util.h"

UCHAR SdramReadString(USHORT iIndex)
{
	DCHAR iLen;

	iLen = SdramReadData(iIndex);
	X_VAL(Sdram_pDataCache, iLen) = 0;
	return iLen;
}

UCHAR SdramWriteString(USHORT iIndex)
{
	DCHAR iLen;

	iLen = p_strlen_x((PXCHAR)Sdram_pDataCache);
	SdramWriteData(iIndex, iLen);
	return iLen;
}

/*
void SdramSaveString(USHORT iIndex, PXCHAR pStr)
{
	DCHAR iLen;

	iLen = p_strlen_x(pStr);
	SdramSaveData(iIndex, pStr, iLen);
}
*/

